summaryrefslogtreecommitdiffstats
path: root/templates
diff options
context:
space:
mode:
Diffstat (limited to 'templates')
-rw-r--r--templates/base/01_setup_EULAfunc.sh8
-rw-r--r--templates/base/99_setup_EULAconf.sh6
-rw-r--r--templates/machine/imx6qsabrelite/50_setup.sh2
3 files changed, 14 insertions, 2 deletions
diff --git a/templates/base/01_setup_EULAfunc.sh b/templates/base/01_setup_EULAfunc.sh
index 28d7d926a..5ea29416e 100644
--- a/templates/base/01_setup_EULAfunc.sh
+++ b/templates/base/01_setup_EULAfunc.sh
@@ -8,7 +8,13 @@ find_and_ack_eula() {
# If the env variable EULA_$MACHINE is set it is used by default,
# without prompting the user.
# FIXME: there is a potential issue if the same $MACHINE is set in more than one layer.. but we should assert that earlier
- EULA=$(find $1 -print | grep "conf/eula/$MACHINE" | grep -v scripts | grep -v openembedded-core || true)
+ # $1 is layer directory
+ # $2 is location of EULA file relative to layer directory
+ if test x"" == x"$2"; then
+ EULA=$(find $1 -print | grep "conf/eula/$MACHINE" | grep -v scripts | grep -v openembedded-core || true)
+ else
+ EULA=$1/$2
+ fi
if [ -n "$EULA" ]; then
# remove '-' since we are constructing a bash variable name here
EULA_MACHINE="EULA_$(echo $MACHINE | sed 's/-//g')"
diff --git a/templates/base/99_setup_EULAconf.sh b/templates/base/99_setup_EULAconf.sh
index fe65f4ea6..351401d11 100644
--- a/templates/base/99_setup_EULAconf.sh
+++ b/templates/base/99_setup_EULAconf.sh
@@ -2,7 +2,11 @@ case "$EULA_ACCEPT" in
1)
echo "" >> $BUILDDIR/conf/local.conf
echo "# EULA" >> $BUILDDIR/conf/local.conf
- echo "ACCEPT_EULA_$MACHINE = \"1\"" >> $BUILDDIR/conf/local.conf
+ if test x"" = x"$EULA_FLAG_NAME"; then
+ echo "ACCEPT_EULA_$MACHINE = \"1\"" >> $BUILDDIR/conf/local.conf
+ else
+ echo "$EULA_FLAG_NAME = \"1\"" >> $BUILDDIR/conf/local.conf
+ fi
;;
*)
;;
diff --git a/templates/machine/imx6qsabrelite/50_setup.sh b/templates/machine/imx6qsabrelite/50_setup.sh
new file mode 100644
index 000000000..ea340a763
--- /dev/null
+++ b/templates/machine/imx6qsabrelite/50_setup.sh
@@ -0,0 +1,2 @@
+find_and_ack_eula $METADIR/meta-fsl-arm EULA
+export EULA_FLAG_NAME="ACCEPT_FSL_EULA"